Skip to main content
GET
/
api
/
external
/
products
List all products
curl --request GET \
  --url https://app.buylo.ai/api/external/products \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 123,
      "product_id": "ABC123",
      "name": "Brazil Santos Coffee",
      "category": "Coffee",
      "description": "Roasted Arabica coffee beans from Brazil",
      "ean": "8594001524129",
      "brand": "CoffeeCo",
      "sale_price": 199.99,
      "sale_price_currency": {},
      "vat_rate": 21,
      "unit": "kg",
      "product_data": {},
      "epc_hashes": [],
      "warehouse_nodes": [],
      "created_at": "2025-08-06T12:00:00Z",
      "updated_at": "2025-08-06T12:30:00Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

OK

data
object[]
required